OrderRejected (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Class OrderRejected

- java.lang.Object
- - com.marketfactory.messaging.OrderRejected

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<OrderRejected>

      public final class OrderRejected
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<OrderRejected>, java.io.Serializable

  Trading Event: Rejection of a request to place an order.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `clOrdID` Client-provided order ID.
    `int` | `feedID` A unique identifier for the feed.
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `java.lang.String` | `modelID`
    `long` | `orderID` Internal order ID.
    `RejectReason` | `reason`
    `int` | `sequenceID` User sequence id.
    `java.lang.String` | `text` The text the venue sent us if any.
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeExchange` Timestamp provided by the exchange.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `OrderRejected()`
    `` | `OrderRejected(int sequenceID, long orderID, java.lang.String clOrdID, java.lang.String modelID, long timeExchange, long timeHandler, long timeApiServer, long timeApiClient, int feedID, int marketID, RejectReason reason, java.lang.String text)`
    `protected` | `OrderRejected(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(OrderRejected rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sequenceID

          public int sequenceID

      User sequence id.

    - #### orderID

          public long orderID

      Internal order ID.

    - #### clOrdID

          public java.lang.String clOrdID

      Client-provided order ID.

    - #### modelID

          public java.lang.String modelID

    - #### timeExchange

          public long timeExchange

      Timestamp provided by the exchange.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### reason

          public RejectReason reason

    - #### text

          public java.lang.String text

      The text the venue sent us if any.

  - ### Constructor Detail

    - #### OrderRejected

          public OrderRejected()

    - #### OrderRejected

          protected OrderRejected(ProtoByteBuffer buffer)

    - #### OrderRejected

          public OrderRejected(int sequenceID,
                               long orderID,
                               java.lang.String clOrdID,
                               java.lang.String modelID,
                               long timeExchange,
                               long timeHandler,
                               long timeApiServer,
                               long timeApiClient,
                               int feedID,
                               int marketID,
                               RejectReason reason,
                               java.lang.String text)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(OrderRejected rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<OrderRejected>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)